# Class InvalidParsingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
ecoparasite.input.InvalidParsingException

All Implemented Interfaces:
  `Serializable`

public class InvalidParsingException extends Exception
Gère une exception lorsque qu'un type de parsing n'existe pas ou bien qu'une erreur est survenue durant le parsing d'une donnée.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidParsingException(int parsingId, String parsingSource)`
  Constructeur.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getParsingId()`
  `String`
  `getParsingSource()`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidParsingException

    public InvalidParsingException(int parsingId, String parsingSource)
    Constructeur.
    Parameters:
      `parsingId` - ID du parsing
      `parsingSource` - La classe d'où provient ce parsing.

- ## Method Details

  - ### getParsingId

    public int getParsingId()

  - ### getParsingSource

    public String getParsingSource()